<?php
include("cp_header.php");
/**************************************************صفحة اضافة مستخدم جديد*******************************************************************/


//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));

$table='users';
?>


<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."';
</script> ";
exit();
}
else
{
  $_SESSION['LastRequest'] = $RequestSignature;
}
//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {

$name=$_POST['name'];
$password=$_POST['password']; 
$active=1;
$created=date('Y-m-d H:i:s');

$password_salt=hash('sha256', $salt.$password); 
$q="insert into users (name,password,active) values('$name','$password','1')";

	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"INSERT INTO `$table`

			( `name`,`password`,`active`,`created`,`user_created`) 

			VALUES 

			( ?, ?, ? ,? ,?)");

		

						
			//نهيئة المتغيرات وحمايتها من الحقن
			mysqli_stmt_bind_param($query,'ssiss',
			
			 $name,$password_salt,$active,$created,$_SESSION[$domain."_user"]

			);

			
			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم اضافة المستخدم</div>";
}else{
echo "<div class='false'>لم يتم اضافة المستخدم</div>";		
}

unset($_POST['submit']);

}else{

}

error:


?>	
	
	
	
	
<div id="cp_title"> اضافة مستخدم جديد
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>
</div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div class="cp_word_body">
<div class="cp_login_row">
<div class="cp_title">اسم المستخدم <span style="color:red">*</span></div>
<div class="cp_field">
<input  class="required" name="name" type="text" />
<div class="field_val "></div>	
</div>

</div>	


<div class="cp_login_row">
<div class="cp_title"> الرقم السرى <span style="color:red">*</span></div>
<div class="cp_field">
<input alt="5" class="required confirm1" name="password" type="password" />
<div class="field_val "></div>
</div>	
</div>

<div class="cp_login_row">
<div class="cp_title">تأكيد الرقم السرى <span style="color:red">*</span> </div>
<div class="cp_field">
<input alt="5" class="required confirm2" name="password" type="password" />
<div class="field_val "></div>
</div>	
</div>


<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تسجيل"  type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	

</div>


<?php 
//تحميل الفوتر
include("cp_footer.php");?>